//Copyright (C)2014-2021 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.7.02 Beta
//Created Time: 2021-03-10 14:37:40
create_clock -name clk_x2p -period 8.333 -waveform {0 4.167} [get_nets {u_psram_top/u_psram_top_0/clk_x2p}]
create_clock -name clk_d -period 33.333 -waveform {0 16.666} [get_nets {clk_d}]
create_clock -name clk -period 20 -waveform {0 10} [get_ports {clk}]
create_clock -name clk_x1 -period 16.667 -waveform {0 8.334} [get_nets {clk_x1}]
create_clock -name clk_x2 -period 8.333 -waveform {0 4.167} [get_nets {memory_clk}]
set_clock_groups -exclusive -group [get_clocks {clk_x1 clk_x2}]
set_false_path -from [get_clocks {clk_x1}] -to [get_clocks {clk_x2 clk clk_x2p clk_d}] 
set_false_path -from [get_clocks {clk_x2}] -to [get_clocks {clk_x1 clk clk_x2p clk_d}] 
set_false_path -from [get_clocks {clk}] -to [get_clocks {clk_x2 clk_x1 clk_x2p clk_d}] 
set_false_path -from [get_clocks {clk_x2p}] -to [get_clocks {clk_d clk clk_x2 clk_x1}] 
set_false_path -from [get_clocks {clk_d}] -to [get_clocks {clk_x2p clk clk_x2 clk_x1}] 
